package jdbcacsess;

import java.io.File;
import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

public class LogOutput {


	private static Logger logger = Logger.getLogger("jdbcacsess");

	static public void setLevel(Level newLevel){
		logger.setLevel(newLevel);
	}
	static public void fine(String msg){
		logger.fine(msg);
	}
	static public void info(String msg){
		logger.fine(msg);
	}
	static public void finest(String msg){
		logger.finest(msg);
	}
	static public void severe(String msg){
		Throwable t = new Throwable();
		t.printStackTrace();
		logger.severe(msg);
	}
	static public void severe(String msg,Throwable thrown){
		thrown.printStackTrace();
		logger.log(Level.SEVERE, msg, thrown);
	}
	public static void setLogger(File path) throws SecurityException, IOException {
		FileHandler fh = new FileHandler(path.getAbsolutePath()+File.separator+"message.log",1024*1024,5);
		fh.setFormatter(new SimpleFormatter());
		logger.addHandler(fh);
	}
	
}
