/**
 * 
 */
package jdbcacsess.createdata;

import java.awt.LayoutManager;
import java.beans.XMLDecoder;
import java.beans.XMLEncoder;
import java.io.BufferedOutputStream;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.ArrayList;

import javax.swing.JPanel;

import jdbcacsess.sql.ColumnInfoResult;
import jdbcacsess.sql.QueryExecuteStatus;
import jdbcacsess.sql.SqlAnalyze;

/**
 * @author sima
 * 
 */
public abstract class JPanelCreateData extends JPanel {
	/**
	 * 
	 */
	private static final long serialVersionUID = 8581408688508341450L;

	public JPanelCreateData copy() {
		// System.out.println("copy開始"); this.debugPrint();
		JPanelCreateData newObj = null;

		// fileOut();

		ByteArrayOutputStream out = new ByteArrayOutputStream();
		XMLEncoder e = new XMLEncoder(out);
		e.writeObject(this);
		e.close();

		InputStream in = new ByteArrayInputStream(out.toByteArray());
		XMLDecoder d = new XMLDecoder(in);
		newObj = (JPanelCreateData) d.readObject();
		d.close();
		// System.out.println("copy終了"); newObj.debugPrint();
		return newObj;
	}

	/**
	 * デバック用のファイル出力です
	 */
	@SuppressWarnings("unused")
	private void fileOut() {
		OutputStream out;
		try {
			out = new BufferedOutputStream(new FileOutputStream(
					"c:\\temp\\test.xml"));
			XMLEncoder e = new XMLEncoder(out);
			e.writeObject(this);
			e.close();
		} catch (FileNotFoundException e1) {
			// TODO 自動生成された catch ブロック
			e1.printStackTrace();
		}
	}

	abstract public void dataInitial();

	abstract public Object dataNext();

	abstract public void dataFinal();

	abstract public void debugPrint();

	/**
	 * @param layout
	 * @param isDoubleBuffered
	 */
	public JPanelCreateData(LayoutManager layout, boolean isDoubleBuffered) {
		super(layout, isDoubleBuffered);
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @param layout
	 */
	public JPanelCreateData(LayoutManager layout) {
		super(layout);
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @param isDoubleBuffered
	 */
	public JPanelCreateData(boolean isDoubleBuffered) {
		super(isDoubleBuffered);
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * 
	 */
	public JPanelCreateData() {
		super();
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jdbcacsess.sql.QueryExecuteListener#completeQuery(jdbcacsess.sql.QueryExecuteStatus)
	 */
	public void completeQuery(QueryExecuteStatus breakStatus) {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jdbcacsess.sql.QueryExecuteListener#errorException(java.lang.Exception)
	 */
	public void errorException(Exception ex) {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jdbcacsess.sql.QueryExecuteListener#init()
	 */
	public void init() throws IOException, FileNotFoundException {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jdbcacsess.sql.QueryExecuteListener#setResultDetail(java.util.Vector)
	 */
	public void setResultDetail(ArrayList<Object> rowData) throws IOException {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jdbcacsess.sql.QueryExecuteListener#setResultHeader(java.util.Vector,
	 *      jdbcacsess.sql.SqlAnalyze)
	 */
	public void setResultHeader(ArrayList<ColumnInfoResult> rowData,
			SqlAnalyze sqlAnalyze,boolean flg) throws IOException {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jdbcacsess.sql.QueryExecuteListener#status(jdbcacsess.sql.QueryExecuteStatus)
	 */
	public void status(QueryExecuteStatus breakStatus) {
	}
}
