package jdbcacsess.gui.cell;

import java.awt.BorderLayout;

import javax.swing.JPanel;

import jdbcacsess.gui.common.JFrameBase;

public class JFrameSqlData extends JFrameBase {
	@Override
	public String getAttrKey(){ 
		return null;
	}
	@Override
	public String getAttrValue(){ 
		return null;
	}

	private static final long serialVersionUID = 1L;

	private static JFrameSqlData jFrameSqlData;

	public static JFrameSqlData getInstance() {
		if (jFrameSqlData == null) {
			jFrameSqlData = new JFrameSqlData();
		}
		jFrameSqlData.setVisible(true);
		return jFrameSqlData;
	}

	private JPanel jContentPane = null;

	private JPanel jPanel = null;

	private JPanelSqlData jPanelSqlData = null;

	/**
	 * This is the default constructor
	 */
	private JFrameSqlData() {
		super();
		initialize();
	}

	@Override
	public void frameClosing() {
		jFrameSqlData = null;
	}
	
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(300, 500);
		this.setContentPane(getJContentPane());
		this.setTitle("ObjectTree");
		
}

	public void setTopObject(String fieldName, Class<?> cls, Object obj) {
		jPanelSqlData.setTopObject(fieldName, cls, obj);
	}
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getJPanel(), BorderLayout.CENTER);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			jPanel = new JPanel();
			jPanel.setLayout(new BorderLayout());
			jPanel.add(getJTreeSqlData(), BorderLayout.CENTER);
		}
		return jPanel;
	}

	/**
	 * This method initializes jTreeSqlData	
	 * 	
	 * @return jdbcacsess.gui.JTreeSqlData	
	 */
	private JPanelSqlData getJTreeSqlData() {
		if (jPanelSqlData == null) {
			jPanelSqlData = new JPanelSqlData();
		}
		return jPanelSqlData;
	}

}
