package jdbcacsess.gui.cell;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.sql.ResultSet;
import java.sql.SQLException;

public class ViewerGetBinaryStream extends ViewColumn {

	InputStream is;

	public ViewerGetBinaryStream(OutputHandler viewer) {
		super(viewer);
	}

	@Override
	void getColumn(ResultSet resultSet) throws SQLException {
		is = resultSet.getBinaryStream(1);
	}

	public @Override
	void execute(String dataSource) throws IOException {
		OutputHandler oh = getOutputHandler();
		oh.setInputStream(new BufferedInputStream(is));
		oh.setDataSource("getBinaryStream:" + dataSource);
		oh.setDataSize(-1);
		oh.output();
	}

}
