package jdbcacsess.gui.cell;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.sql.ResultSet;
import java.sql.SQLException;

public class ViewerGetString extends ViewColumn {

	String str;

	public ViewerGetString(OutputHandler viewer) {
		super(viewer);
	}

	@Override
	void getColumn(ResultSet resultSet) throws SQLException {
		str = resultSet.getString(1);
	}

	public @Override
	void execute(String dataSource) throws IOException, SQLException {
		OutputHandler oh = getOutputHandler();
		oh.setInputStream(new ByteArrayInputStream(str.getBytes()));
		oh.setDataSize(-1);
		oh.setDataSource("getString:" + dataSource);
		oh.output();
	}

}
