package jdbcacsess.gui.common;

public enum ConstAutoCommit {
	AUTOCOMMIT("AutoCommit", true), 
	MANUALCOMMIT("ManualCommit", false),
	; 

	private final String name;

	private final boolean value;

	private ConstAutoCommit(String name, boolean value) {
		this.name = name;
		this.value = value;
	}
	@Override
	public String toString(){
		return name;
	}
	public boolean getValue(){
		return value;
	}

	public static ConstAutoCommit searchName(String name) {
		for (ConstAutoCommit i : ConstAutoCommit.values()) {
			if (i.toString().equals(name)) {
				return i;
			}
		}
		return null;
	}
	public static String getEnumName(){
		return "commit方法";
	}
}
