package jdbcacsess.gui.common;

public enum ConstColumnDelimiter {
	TAB("タブ", '\t'), 
	COMMA("カンマ", ','); 

	private final String name;

	private final char value;

	private ConstColumnDelimiter(String name, char value) {
		this.name = name;
		this.value = value;
	}
	@Override
	public String toString(){
		return name;
	}
	public char getValue(){
		return value;
	}

	public static ConstColumnDelimiter searchName(String name) {
		for (ConstColumnDelimiter i : ConstColumnDelimiter.values()) {
			if (i.toString().equals(name)) {
				return i;
			}
		}
		return null;
	}
	public static String getEnumName(){
		return "項目区切";
	}
}
