package jdbcacsess.gui.common;


public enum ConstFontSize {
	SIZE07(" 7", 7), 
	SIZE08(" 8", 8), 
	SIZE09(" 9", 9), 
	SIZE10("10", 10),
	SIZE11("11", 11),
	SIZE12("12", 12),
	SIZE14("14", 14),
	SIZE16("16", 16);

	private final String name;

	private final int value;

	private ConstFontSize(String name, int value) {
		this.name = name;
		this.value = value;
	}
	@Override
	public String toString(){
		return name;
	}
	public int getValue(){
		return value;
	}

	public static ConstFontSize searchName(String name) {
		for (ConstFontSize i : ConstFontSize.values()) {
			if (i.toString().equals(name)) {
				return i;
			}
		}
		return null;
	}
	
	public static String getEnumName(){
		return "フォントスタイル";
	}
}
