package jdbcacsess.gui.common;

import java.awt.Font;

public enum ConstFontStyle {
	PLAIN("PLAIN", Font.PLAIN), 
	BOLD("BOLD", Font.BOLD), 
	ITALIC("ITALIC",Font.ITALIC);

	private final String name;

	private final int value;

	private ConstFontStyle(String name, int value) {
		this.name = name;
		this.value = value;
	}
	@Override
	public String toString(){
		return name;
	}
	public int getValue(){
		return value;
	}

	public static ConstFontStyle searchName(String name) {
		for (ConstFontStyle i : ConstFontStyle.values()) {
			if (i.toString().equals(name)) {
				return i;
			}
		}
		return null;
	}
	
	public static String getEnumName(){
		return "フォントスタイル";
	}
}
