package jdbcacsess.gui.common;

public enum ConstLineSeparator {
	DEFAULT("実行環境デフォルト", System.getProperty("line.separator")),
	CRLF("CRLF", "\r\n"), 
	LF("LF", "\n"), 
	CR("CR","\r");

	private final String name;

	private final String value;

	private ConstLineSeparator(String name, String value) {
		this.name = name;
		this.value = value;
	}
	@Override
	public String toString(){
		return name;
	}
	public String getValue(){
		return value;
	}

	public static ConstLineSeparator searchName(String name) {
		for (ConstLineSeparator i : ConstLineSeparator.values()) {
			if (i.toString().equals(name)) {
				return i;
			}
		}
		return null;
	}
	
	public static String getEnumName(){
		return "改行文字";
	}
}
