/**
 * 
 */
package jdbcacsess.gui.common;

import java.io.File;

import javax.swing.JFileChooser;

/**
 * @author sima
 * 
 */

public class JFileChooserLastUse extends JFileChooser {
	private static final long serialVersionUID = -6824007915436466122L;

	File lastFile;

	public JFileChooserLastUse(String title, int dialogType) {
		setDialogTitle(title);
		setDialogType(dialogType);
		setMultiSelectionEnabled(false);
	}

	public File choice() {
		int returnVal;
		if (lastFile != null) {
			setSelectedFile(lastFile);
		}
		returnVal = showOpenDialog(null);
		if (returnVal == APPROVE_OPTION) {
			// InputStreamの取得
			File f = getSelectedFile();
			lastFile = f;
			return f;
		}
		return null;
	}
}