/**
 * 
 */
package jdbcacsess.gui.common;

import java.util.Vector;

import javax.swing.JPopupMenu;
import javax.swing.SwingUtilities;

/**
 * JPopupMenuは、UIが変更になった時自動的に変わらない。このクラスを使用してポップアップメニュを作成すれば、 UI変更が必ず通知されます。
 * このクラスを使用してポップアップメニュを作成する事。
 * 
 * @author sima
 * 
 */
public class JPopupMenuCnageUI extends JPopupMenu {

	static Vector<JPopupMenuCnageUI> jpopupmenu = new Vector<JPopupMenuCnageUI>();

	/**
	 * 
	 */
	private static final long serialVersionUID = -3049549143859155532L;

	/**
	 * 
	 */
	public JPopupMenuCnageUI() {
		super();
		jpopupmenu.add(this);
	}

	/**
	 * @param label
	 */
	public JPopupMenuCnageUI(String label) {
		super(label);
		jpopupmenu.add(this);
	}

	public static void changeUI() {
		for (JPopupMenuCnageUI item : jpopupmenu) {
			SwingUtilities.updateComponentTreeUI(item);
		}
	}
}
