/**
 * 
 */
package jdbcacsess.gui.common;

import javax.swing.JMenuItem;
import javax.swing.text.JTextComponent;
import javax.swing.undo.UndoManager;

/**
 * @author sima
 * 
 */
public class JPopupMenuEdit extends JPopupMenuCnageUI {
	/**
	 * 
	 */
	private static final long serialVersionUID = 6414889478390362244L;

	private JMenuItem jMenuItemCopy = null;

	private JMenuItem jMenuItemCut = null;

	private JMenuItem jMenuItemPaste = null;

	private JMenuItem jMenuItemSelectAll = null;

	private JMenuItem jMenuItemDelete = null;

	// private JMenuItem jMenuItemUndo = null;
	//
	// private JMenuItem jMenuItemRedo = null;
	//
	private UndoManager undoManager;

	public JPopupMenuEdit(JTextComponent parent) {
		super();

		add(getJMenuItemCut());
		add(getJMenuItemCopy());
		add(getJMenuItemPaste());
		add(getJMenuItemDelete());
		add(getJMenuItemSelectAll());

		jMenuItemCopy.setAction(parent.getActionMap().get("copy-to-clipboard"));
		jMenuItemCopy.setText("コピー");

		jMenuItemCut.setAction(parent.getActionMap().get("cut-to-clipboard"));
		jMenuItemCut.setText("切り取り");

		jMenuItemPaste.setAction(parent.getActionMap().get(
				"paste-from-clipboard"));
		jMenuItemPaste.setText("貼り付け");

		jMenuItemSelectAll.setAction(parent.getActionMap().get("select-all"));
		jMenuItemSelectAll.setText("全て選択");

		jMenuItemDelete.setAction(parent.getActionMap().get("delete-next"));
		jMenuItemDelete.setText("削除");

		/*-----*/
		// add(getJMenuItemUndo());
		// add(getJMenuItemRedo());
		// Action undoAction = new AbstractAction("元に戻す") {
		// private static final long serialVersionUID = 487304378517101352L;
		// public void actionPerformed(ActionEvent e) {
		// if (undoManager.canUndo()) {
		// undoManager.undo();
		// }
		// }
		// };
		// parent.getInputMap().put(KeyStroke.getKeyStroke(KeyEvent.VK_Z,
		// InputEvent.CTRL_MASK),"undo");
		// parent.getActionMap().put("undo", undoAction);
		// jMenuItemUndo.setAction(undoAction);
		//
		// Action redoAction = new AbstractAction("やり直す") {
		// private static final long serialVersionUID = 4941522396380532306L;
		// public void actionPerformed(ActionEvent e) {
		// if (undoManager.canRedo()) {
		// undoManager.redo();
		// }
		// }
		// };
		// parent.getInputMap().put(KeyStroke.getKeyStroke(KeyEvent.VK_Y,
		// InputEvent.CTRL_MASK),"redo");
		// parent.getActionMap().put("redo", redoAction);
		// jMenuItemRedo.setAction(redoAction);
		/*-----*/

		parent.setComponentPopupMenu(this);

		undoManager = new UndoManager();
		parent.getDocument().addUndoableEditListener(undoManager);
	}

	/**
	 * This method initializes jMenuItem
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private JMenuItem getJMenuItemCopy() {
		if (jMenuItemCopy == null) {
			jMenuItemCopy = new JMenuItem();
		}
		return jMenuItemCopy;
	}

	/**
	 * This method initializes jMenuItemCut
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private JMenuItem getJMenuItemCut() {
		if (jMenuItemCut == null) {
			jMenuItemCut = new JMenuItem();
		}
		return jMenuItemCut;
	}

	/**
	 * This method initializes jMenuItemPaste
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private JMenuItem getJMenuItemPaste() {
		if (jMenuItemPaste == null) {
			jMenuItemPaste = new JMenuItem();
		}
		return jMenuItemPaste;
	}

	/**
	 * This method initializes jMenuItem
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private JMenuItem getJMenuItemSelectAll() {
		if (jMenuItemSelectAll == null) {
			jMenuItemSelectAll = new JMenuItem();
		}
		return jMenuItemSelectAll;
	}

	/**
	 * This method initializes jMenuItemDelete
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private JMenuItem getJMenuItemDelete() {
		if (jMenuItemDelete == null) {
			jMenuItemDelete = new JMenuItem();
		}
		return jMenuItemDelete;
	}

	// private JMenuItem getJMenuItemUndo() {
	// if (jMenuItemUndo == null) {
	// jMenuItemUndo = new JMenuItem();
	// }
	// return jMenuItemUndo;
	// }
	//
	// private JMenuItem getJMenuItemRedo() {
	// if (jMenuItemRedo == null) {
	// jMenuItemRedo = new JMenuItem();
	// }
	// return jMenuItemRedo;
	// }
	//
	public UndoManager getUndoManager() {
		return undoManager;
	}

}
