/**
 * 
 */
package jdbcacsess.sql;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;

import jdbcacsess.JdbcacsessException;

/**
 * @author sima
 * 
 */
public interface QueryExecuteListener {

	public void init() throws IOException, FileNotFoundException;

	public void setResultHeader(ArrayList<ColumnInfoResult> rowData,
			SqlAnalyze sqlAnalyze,boolean selectUpdatable) throws IOException;

	public void setResultDetail(ArrayList<Object> rowData) throws IOException;

	public void completeQuery(QueryExecuteStatus breakStatus) throws JdbcacsessException;

	public void status(QueryExecuteStatus breakStatus);

	public void errorException(Exception ex);

}
