/**
 * 
 */
package jdbcacsess.sql;

/**
 * @author sima
 * 
 */
public class SchemaTableColumnName {

	private SchemaTableName schemaTableName;

	private String columnName;

	public SchemaTableColumnName(SchemaTableName schemaTableName,
			String columnName) {
		this.schemaTableName = schemaTableName;
		this.columnName = columnName;
	}

	/**
	 * 
	 */
	public SchemaTableColumnName() {
		schemaTableName = new SchemaTableName();
		columnName = "";
	}

	/**
	 * @return columnName を戻します。
	 */
	public String getColumnName() {
		return columnName;
	}

	/**
	 * @param columnName
	 *            設定する columnName。
	 */
	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}

	/**
	 * @return schemaTableName を戻します。
	 */
	public SchemaTableName getSchemaTableName() {
		return schemaTableName;
	}

	/**
	 * @param schemaTableName
	 *            設定する schemaTableName。
	 */
	public void setSchemaTableName(SchemaTableName schemaTableName) {
		this.schemaTableName = schemaTableName;
	}

	@Override
	public String toString() {
		return schemaTableName + "." + columnName;
	}

}
