/**
 * 
 */
package jdbcacsess;

import java.awt.Color;

import javax.swing.JTextField;
import javax.swing.border.LineBorder;

import jdbcacsess.gui.common.JPopupMenuEdit;

/**
 * ポップアップ付きのテキストフィールド
 */
public class JTextFieldEdit extends JTextField {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7140561807091717086L;

	public JTextFieldEdit() {
		this(false);
	}

	/**
	 * 赤い枠を、持つ？持たない？を指定したコンストラクタ
	 * 
	 * @param borderRed
	 *            赤い枠を持つ場合true
	 */
	public JTextFieldEdit(boolean borderRed) {
		super();
		initialize();
		if (borderRed) {
			setBorder(new LineBorder(Color.red));
		}
	}

	/**
	 * 
	 */
	private void initialize() {
		new JPopupMenuEdit(this);
	}

}
