/**
 * 
 */
package jdbcacsess.createdata.chararctor;

import java.util.ArrayList;

import javax.swing.JComboBox;

/**
 * @author sima
 * 
 */
@SuppressWarnings("unchecked")
public class JComboboxCharType extends JComboBox {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8094289755138270849L;

	private static ArrayList<Class<? extends CharType>> classList;

	private static ArrayList<CharType> charTypeList;

	static {
		classList = new ArrayList<Class<? extends CharType>>();
		charTypeList = new ArrayList<CharType>();

		String[] className = { "jdbcacsess.createdata.chararctor.FixType",
				"jdbcacsess.createdata.chararctor.NumberHalfType",
				"jdbcacsess.createdata.chararctor.NumberHalfHexType",
				"jdbcacsess.createdata.chararctor.NumberHalfBitType",
				"jdbcacsess.createdata.chararctor.UpperAlphaHalfType",
				"jdbcacsess.createdata.chararctor.LowerAlphaHalfType"

				, "jdbcacsess.createdata.chararctor.NumberFullType",
				"jdbcacsess.createdata.chararctor.UpperAlphaFullType",
				"jdbcacsess.createdata.chararctor.LowerAlphaFullType"

				, "jdbcacsess.createdata.chararctor.HiraganaType",
				"jdbcacsess.createdata.chararctor.KatakanaType" };

		for (int i = 0; i < className.length; i++) {

			try {
				Class<? extends CharType> c = (Class<? extends CharType>) Class.forName(className[i]);
				classList.add(c);
				charTypeList.add(c.newInstance());
			} catch (ClassNotFoundException e) {
				// TODO 自動生成された catch ブロック
				e.printStackTrace();
			} catch (InstantiationException e) {
				// TODO 自動生成された catch ブロック
				e.printStackTrace();
			} catch (IllegalAccessException e) {
				// TODO 自動生成された catch ブロック
				e.printStackTrace();
			}
		}

	}

	public static CharType getCharType(Class<? extends CharType> c) {
		int idx = classList.indexOf(c);
		return charTypeList.get(idx);
	}

	/**
	 * 
	 */
	public JComboboxCharType() {
		super();
		initialize();
	}

	private void initialize() {
		for (CharType charType : charTypeList) {
			addItem(charType);
		}
	}

}
