package jdbcacsess.gui.cell;

import java.io.IOException;
import java.io.Reader;
import java.sql.ResultSet;
import java.sql.SQLException;

public class ViewerGetChracterStream extends ViewColumn {

	Reader r;

	public ViewerGetChracterStream(OutputHandler viewer) {
		super(viewer);
	}

	@Override
	void getColumn(ResultSet resultSet) throws SQLException {
		r = resultSet.getCharacterStream(1);
	}

	public @Override
	void execute(String dataSource) throws IOException {
		OutputHandler oh = getOutputHandler();
		oh.setReader(r);
		oh.setDataSource("getCharacterStream:" + dataSource);
		oh.output();
	}

}
