package jdbcacsess.gui.common;

public enum ConstCommitCnt {
	LAST("最後に1回", 1), 
	STEP100("100件毎で最後に1回", 100),
	STEP1000("1000件毎で最後に1回", 1000),
	AUTO("AutoCommit", 0); 

	private final String name;

	private final int value;

	private ConstCommitCnt(String name, int value) {
		this.name = name;
		this.value = value;
	}
	@Override
	public String toString(){
		return name;
	}
	public int getValue(){
		return value;
	}

	public static ConstCommitCnt searchName(String name) {
		for (ConstCommitCnt i : ConstCommitCnt.values()) {
			if (i.toString().equals(name)) {
				return i;
			}
		}
		return null;
	}
	public static String getEnumName(){
		return "commit方法";
	}
}
