/**
 *
 */
package jdbcacsess.gui.common;

/**
 * @author sima
 * 
 */
public enum ConstItemHeader {
	TRUE("有り"),
	FALSE("無し");

	private final String name;

	private ConstItemHeader(String name) {
		this.name = name;
	}

	@Override
	public String toString(){
		return name;
	}

	public static ConstItemHeader searchName(String name) {
		for (ConstItemHeader i : ConstItemHeader.values()) {
			if (i.toString().equals(name)) {
				return i;
			}
		}
		return null;
	}
	
	public static String getEnumName(){
		return "見出し有無";
	}
}
