package jdbcacsess.gui.common;

public enum ConstSearchPattern {
	NULL("#NULL#", null), 
	EMPTY("空文字列", ""),
	PERCENT("%", "%"); 

	private final String name;

	private final String value;

	private ConstSearchPattern(String name, String value) {
		this.name = name;
		this.value = value;
	}
	@Override
	public String toString(){
		return name;
	}
	public String getValue(){
		return value;
	}

	public static ConstSearchPattern searchName(String name) {
		for (ConstSearchPattern i : ConstSearchPattern.values()) {
			if (i.toString().equals(name)) {
				return i;
			}
		}
		return null;
	}
	public static String getEnumName(){
		return "検索パターン";
	}
}
