/**
 * 
 */
package jdbcacsess.gui.common;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.AbstractAction;
import javax.swing.JComponent;
import javax.swing.JMenuItem;
import javax.swing.JTable;

/**
 * @author sima
 * 
 */
public class JPopupMenuNoEdit extends JPopupMenuCnageUI {
	/**
	 * 
	 */
	private static final long serialVersionUID = 5204718337107920671L;

	private JMenuItem jMenuItemCopy;

	private JMenuItem jMenuItemSelectAll;

	/**
	 * 
	 */
	public JPopupMenuNoEdit(JComponent parent) {
		super();
		initialize(parent);
		parent.setComponentPopupMenu(this);
	}

	public JPopupMenuNoEdit(JTable parent) {
		super();
		initialize(parent);
		new PopupKeybordAndMouse(parent, this);
	}

	private void initialize(JComponent parent) {
		add(getJMenuItemCopy());
		add(getJMenuItemSelectAll());
		jMenuItemCopy.setAction(parent.getActionMap().get("copy-to-clipboard"));
		jMenuItemSelectAll.setAction(parent.getActionMap().get("select-all"));
		jMenuItemCopy.setText("コピー");
		jMenuItemSelectAll.setText("全て選択");
	}

	private JMenuItem getJMenuItemCopy() {
		if (jMenuItemCopy == null) {
			jMenuItemCopy = new JMenuItem();
		}
		return jMenuItemCopy;
	}

	private JMenuItem getJMenuItemSelectAll() {
		if (jMenuItemSelectAll == null) {
			jMenuItemSelectAll = new JMenuItem();
		}
		return jMenuItemSelectAll;
	}

	public void copyAddActionListener(final ActionListener listenner) {
		getJMenuItemCopy().addActionListener(listenner);
		jMenuItemCopy.setAction(new AbstractAction() {
			private static final long serialVersionUID = 5414012911084954750L;

			public void actionPerformed(ActionEvent e) {
				listenner.actionPerformed(e);
			}
		});
		jMenuItemCopy.setText("コピー");
	}

	public void selectAllAddActionListener(final ActionListener listenner) {
		getJMenuItemSelectAll().addActionListener(listenner);
		jMenuItemSelectAll.setAction(new AbstractAction() {
			private static final long serialVersionUID = 5414012911084954750L;

			public void actionPerformed(ActionEvent e) {
				listenner.actionPerformed(e);
			}
		});
		jMenuItemSelectAll.setText("全て選択");
	}

}
