/**
 * 
 */
package jdbcacsess.gui.common;

import java.awt.Dimension;
import java.io.Serializable;

import javax.swing.JTextArea;

/**
 * 編集不可能なtextAreaを提供します。ポップアップメニューも装備します。
 * 
 * @author sima
 * 
 */
public class JTextAreaNoEdit extends JTextArea implements Serializable {

	/**
	 * 
	 */
	public JTextAreaNoEdit() {
		super();
		initialize();
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = -2514932523187284316L;

	private void initialize() {
		setLineWrap(true);
		setFont(new java.awt.Font("Monospaced", java.awt.Font.PLAIN, 12));
		setEditable(false);
		setOpaque(false);
		setMinimumSize(new Dimension(0, 0));
		new JPopupMenuNoEdit(this);
	}
}
