package jdbcacsess.gui.icons;

import javax.swing.Icon;
import javax.swing.ImageIcon;


public enum IconImage {
	ROOT(),
	TABLE("table.png"), 
	SCHEMA("schema.png"),
	VIEW("view.png"),
	PROCEDURE("procedure.png"),
	CATALOG("catalog.png"),
	INDEX("index.png"),
	TABLETYPE("tableType.png"),
	TABLECOLUMN(),
	; 

	private final Icon Icon;
	
	private IconImage(String imageFile){
		Icon = new ImageIcon(IconImage.class.getResource(imageFile));
	}
	private IconImage(){
		Icon = new ImageIcon();
	}
	public Icon getValue(){
		return Icon;
	}
}
