package jdbcacsess.sql;

import java.sql.CallableStatement;
import java.sql.Connection;
import java.sql.SQLException;

public class PrepareExecuteCallable extends PrepareExecute {

	public PrepareExecuteCallable() {
		super();
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * prepareCallを実行します
	 * 
	 * @param con
	 * @throws SQLException
	 */
	@Override
	public void prepare(Connection con) throws SQLException {
		msg("PrepareExecuteCallable: AutoCimmit "+ con.getAutoCommit() );
		
		statement = new StringBuffer("{" + statement.toString() + "}");

		msg("PrepareExecuteCallable: native "+ con.nativeSQL(statement.toString() ));
		
		prepared = con.prepareCall(statement.toString());
	}

	public boolean execute() throws SQLException {
		boolean resultSet;
		try {
			setParm();
			
			msg("PrepareExecuteCallable: execute start");
			
			resultSet = prepared.execute();
			
			msg("PrepareExecuteCallable: ---------- execute end");
			
		} catch (OutOfMemoryError err) {
			throw new SQLException(err.getMessage());
		} finally {
			clearParm();
		}
		return resultSet;
	}

	@Override
	public CallableStatement getPrepared() {
		return (CallableStatement)prepared;
	}

}
