/**
 * 
 */
package jdbcacsess.sql.column;

import java.sql.Date;
import java.sql.ResultSet;
import java.text.SimpleDateFormat;

/**
 * @author sima
 * 
 */
public class GetColumnDateYYYY extends Date implements GetColumnResultSet {

	public GetColumnDateYYYY() {
		super(0);
	}

	public GetColumnDateYYYY(long date) {
		super(date);
	}

	private static final long serialVersionUID = -5126020433988874162L;

	private static SimpleDateFormat sdf = new SimpleDateFormat("yyyy");

	@Override
	public String toString() {
		String str = sdf.format(new Date(getTime()));
		return str;

	}

	/*
	 * (非 Javadoc)
	 * 
	 * @see jdbcacsess.sql.column.GetColumnResultSet#getData(java.sql.ResultSet,
	 *      int)
	 */
	public Object getData(ResultSet resultSet, int i) throws Exception {
		Date ts = resultSet.getDate(i);

		if (resultSet.wasNull() || ts == null) {
			return null;
		}

		return new GetColumnDateYYYY(ts.getTime());
	}

}
